std::tr2::__dynamic_bitset_base< _WordT, _Alloc >(3cxx)

NAME
std::tr2::__dynamic_bitset_base< _WordT, _Alloc >

SYNOPSIS

#include <dynamic_bitset>

Inherited by std::tr2::dynamic_bitset< _WordT, _Alloc > [private].

  Public Types

typedef _Alloc allocator_type
typedef _WordT block_type
typedef size_t size_type

  Public Member Functions

__dynamic_bitset_base (__dynamic_bitset_base &&__b)=default
__dynamic_bitset_base (const __dynamic_bitset_base &)=default
__dynamic_bitset_base (const allocator_type &__alloc)
__dynamic_bitset_base (size_type __nbits, unsigned long long __val=0ULL, const allocator_type &__alloc=allocator_type())
size_t _M_are_all_aux () const noexcept
void _M_clear () noexcept
void _M_do_and (const __dynamic_bitset_base &__x) noexcept
void _M_do_append_block (block_type __block, size_type __pos)
size_t _M_do_count () const noexcept
void _M_do_dif (const __dynamic_bitset_base &__x) noexcept
size_type _M_do_find_first (size_t __not_found) const
size_type _M_do_find_next (size_t __prev, size_t __not_found) const
void _M_do_flip () noexcept
void _M_do_left_shift (size_t __shift)
void _M_do_or (const __dynamic_bitset_base &__x) noexcept
void _M_do_reset () noexcept
void _M_do_right_shift (size_t __shift)
void _M_do_set () noexcept
unsigned long long _M_do_to_ullong () const
unsigned long _M_do_to_ulong () const
void _M_do_xor (const __dynamic_bitset_base &__x) noexcept
allocator_type _M_get_allocator () const noexcept
block_type _M_getword (size_type __pos) const noexcept
block_type & _M_getword (size_type __pos) noexcept
block_type _M_hiword () const noexcept
block_type & _M_hiword () noexcept
bool _M_is_any () const noexcept
bool _M_is_equal (const __dynamic_bitset_base &__x) const noexcept
bool _M_is_less (const __dynamic_bitset_base &__x) const noexcept
bool _M_is_proper_subset_of (const __dynamic_bitset_base &__b) const noexcept
bool _M_is_subset_of (const __dynamic_bitset_base &__b) noexcept
void _M_resize (size_t __nbits, bool __value)
size_type _M_size () const noexcept
void _M_swap (__dynamic_bitset_base &__b) noexcept
__dynamic_bitset_base & operator= (__dynamic_bitset_base &&)=default
__dynamic_bitset_base & operator= (const __dynamic_bitset_base &)=default

  Static Public Member Functions

static block_type _S_maskbit (size_type __pos) noexcept
static size_type _S_whichbit (size_type __pos) noexcept
static size_type _S_whichbyte (size_type __pos) noexcept
static size_type _S_whichword (size_type __pos) noexcept

  Public Attributes

std::vector< block_type, allocator_type > _M_w
0 is the least significant word.

  Static Public Attributes

static const size_type _S_bits_per_block
static const size_type npos

Detailed Description

  template<typename _WordT = unsigned long long, typename _Alloc = std::allocator<_WordT>>
struct std::tr2::__dynamic_bitset_base< _WordT, _Alloc >"Base class, general case.

See documentation for dynamic_bitset.

Member Data Documentation

  template<typename _WordT = unsigned long long, typename _Alloc = std::allocator<_WordT>> std::vector<block_type, allocator_type> std::tr2::__dynamic_bitset_base< _WordT, _Alloc >::_M_w

0 is the least significant word.

Author

Generated automatically by Doxygen for libstdc++ from the source code.